+1
Fixed

Firefox 7.0+

Jorge Reza 7 years ago • updated by Alan Schaaf (Founder) 7 years ago 0
Great extension. Unfortunately, Firefox 7.0+ is incompatible with this extension. I would appreciate an update.

Thanks millions.

Answer

Answer
Fixed
I'm using Firefox 8 beta and it still works great. Are you sure you have the latest version?
Answer
Fixed
I'm using Firefox 8 beta and it still works great. Are you sure you have the latest version?